%define htmldir %_var/www/html/addon-modules

Name: gosa
Version: 2.5.14
Release: alt1

Summary: Web Based LDAP Administration Program
License: GPL
Group: Networking/WWW

Url: http://gosa.gonicus.de
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>
BuildArch: noarch

Source0: %name-%version.tar.bz2
Source1: %name.apache.conf
Source2: gosa-core.schema
Source3: %name.control
Source4: gosa-schemas-fds-%version.tar.bz2

Requires:  %name-common = %version-%release, %name-php, %name-httpd

%description
GOsa is a combination of system-administrator and end-user web
interface, designed to handle LDAP based setups.
Provided is access to posix, shadow, samba, proxy, fax, and kerberos
accounts. It is able to manage the postfix/cyrus server combination
and can write user adapted sieve scripts.

%package common
Group: Networking/WWW
Summary: gosa common stuff
Requires: fping smbldap-tools perl-Crypt-SmbHash 

%description common
%summary

%package apache
Group: Networking/WWW
Summary: apache1 configs for gosa
Requires: %name-common = %version-%release, apache
Provides: gosa-httpd

%description apache
%summary

%package apache2
Group: Networking/WWW
Summary: apache2 configs for gosa
Requires: %name-common = %version-%release, apache2
Provides: gosa-httpd

%description apache2
%summary

%package php4
Group: Networking/WWW
Summary: package for install all php dependencies for gosa (php4)
Requires: %name-common = %version-%release
# Missing in ALT
#Requires: php-mhash, php-cups
Requires: php-engine php-ldap php-imap php-mysql php-gd2 php-snmp
Requires: php-mbstring php-imagick php-libs
Provides: gosa-php

%description php4
%summary

%package php5
Group: Networking/WWW
Summary: package for install all php dependencies for gosa (php5)
Requires: %name-common = %version-%release
Requires: php-engine php5-ldap php5-imap php5-mysql php5-gd2
Requires: php5-mbstring php5-libs php5-mhash php5-snmp
#Requires: php5-imagick
Provides: gosa-php

%description php5
%summary

%package schema
Group: Networking/WWW
Summary: Schema Definitions for the GOSA package
Requires: openldap-servers, openldap-clients

%description schema
Contains the Schema definition files for the GOSA admin package.

%package fds-schema
Group: Networking/WWW
Summary: Schema Definitions for the GOSA package (Fedora Directory Server)
Requires: fedora-ds

%description fds-schema
Contains the Schema definition files for the GOSA admin package (Fedora Directory Server).

%package user-manual-en
Group: Networking/WWW
Summary: English online user-manual for GOSA package
Requires: %name-common = %version-%release

%description user-manual-en
English online user-manual page for GOSA package

%package user-manual-de
Group: Networking/WWW
Summary: German localized online user-manual for GOSA package
Requires: %name-common = %version-%release

%description user-manual-de
German localized online user-manual page for GOSA package

%package user-manual-fr
Group: Networking/WWW
Summary: French localized online user-manual for GOSA package
Requires: %name-common = %version-%release

%description user-manual-fr
French localized online user-manual page for GOSA package

%package user-manual-nl
Group: Networking/WWW
Summary: Dutch localized online user-manual for GOSA package
Requires: %name-common = %version-%release

%description user-manual-nl
Dutch localized online user-manual page for GOSA package

%prep
%setup

%build
%install
# Create files for temporary stuff /* Really we need it? */
#for i in compile config cache; do \
#	mkdir -p %buildroot%_var/spool/%name/$i ; \
#done
install -dm1770 %buildroot%_var/spool/%name

# Cleanup lyx warnings
find . -name WARNINGS -delete

# Cleanup latex shit
find . -name labels.pl -delete

# Cleanup guide
rm -rf doc/guide/user/*/lyx-source

# Cleanup user-manual dirs
for i in admin devel; do \
       rm -rf doc/guide/$i ; \
done

sed -i -e 's#"CONFIG_TEMPLATE_DIR", "../contrib/"#"CONFIG_TEMPLATE_DIR", "%_datadir/%name-%version/contrib/"#g' include/functions.inc

# php
mkdir -p %buildroot%htmldir/%name
DIRS="ihtml plugins html include locale doc setup"
for i in $DIRS; do \
  cp -r $i %buildroot%htmldir/%name ; \
done

# binary
install -pDm0755 bin/mkntpasswd %buildroot%_bindir/mkntpasswd

# configs
install -dm0750 %buildroot%_sysconfdir/%name/
mv -f %buildroot%htmldir/%name/plugins/personal/mail/sieve-*.txt %buildroot/%_sysconfdir/%name

install -pD -m0644 %SOURCE1 %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf
install -pD -m0644 %SOURCE1 %buildroot%_sysconfdir/httpd2/conf/addon.d/%name.conf

# shema
install -dm0755 %buildroot%_sysconfdir/openldap/schema/%name
mv contrib/openldap/*.schema %buildroot%_sysconfdir/openldap/schema/%name
install -pDm0644 %SOURCE2 %buildroot%_sysconfdir/openldap/schema/%name/%name-core.schema

# control file
install -pDm0755 %SOURCE3 %buildroot%_controldir/%name

install -pD -m0644 contrib/gosa.conf %buildroot%_datadir/%name-%version/contrib/gosa.conf
tar -jxvf %SOURCE4
install -dm0755 %buildroot%_datadir/%name-%version/fedora-ds/schema/
mv gosa-schemas-fds-%version/*.ldif %buildroot%_datadir/%name-%version/fedora-ds/schema/

%pre common
# dump facility state before upgrading package
if [ $1 -eq 2 ]; then
        %_sbindir/control-dump %name
fi

%post common
# restore facility state after upgrading package
if [ $1 -eq 2 ]; then
        %_sbindir/control-restore %name
fi

%post apache
# set facility at first package install
if [ $1 -eq 1 ]; then
        %_sbindir/control %name apache
fi
%_initdir/httpd reload

%postun apache
%_initdir/httpd reload

%post apache2
# set facility at first package install
if [ $1 -eq 1 ]; then
        %_sbindir/control %name apache2
fi
%_initdir/httpd2 reload

%postun apache2
%_initdir/httpd2 reload

%files

%files common
%doc AUTHORS README* Changelog COPYING INSTALL FAQ
%config %_controldir/*
%dir %htmldir/%name
%htmldir/%name/*
%_bindir/mkntpasswd
%dir %attr(1770,root,root) %_spooldir/%name
%dir %attr(0750,root,root) %_sysconfdir/%name
%_sysconfdir/%name/*
%_datadir/%name-%version/contrib/gosa.conf

%files apache
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules.d/%name.conf

%files apache2
%config(noreplace) %_sysconfdir/httpd2/conf/addon.d/%name.conf

%files php4

%files php5

%files schema
%dir %_sysconfdir/openldap/schema/%name
%_sysconfdir/openldap/schema/%name/*

%files fds-schema
%_datadir/%name-%version/fedora-ds/schema/*.ldif

%files user-manual-en
%htmldir/%name/doc/guide/user/en

%files user-manual-de
%htmldir/%name/doc/guide/user/de

%files user-manual-fr
%htmldir/%name/doc/guide/user/fr

%files user-manual-nl
%htmldir/%name/doc/guide/user/nl

%changelog
* Thu Dec 27 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.5.14-alt1
- New upstream 2.5.14
- see Changelog for details

* Mon Oct 08 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.5.13-alt2
- Fixed "undefined class dhcpplugin" bug
- Added schema files for Fedora DS

* Tue Oct 02 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.5.13-alt1
- New upstream 2.5.13
- Russian translation update
- Minor bugfixes and improvements
- see Changelog for details

* Thu Aug 09 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.5.12-alt2
- Resolve bug #12510,#12512,#12514

* Mon Jul 23 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.5.12-alt1
- New upstream 2.5.12
- Translation update (now russian translation realy works)
- Archive cleanup
- Minor bugfixes and improvements
- see Changelog for details

* Tue Jul 03 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.5.11a-alt2
- setup dir was unpackaged, fixed

* Mon Jun 18 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.5.11a-alt1
- New upstream 2.5.11a
- Added chinese translation
- Fixed language detection and removed line wraps in tab headers
- Fixed french translation

* Thu May 31 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.5.11-alt1
- New upstream 2.5.11
- Add workaround for failing is_php4() when using PHP5 with "zend.ze1_compatibility_mode" set to "On"
- Backported new sieve filter editor from trunk
- Backported new setup from trunk
- Fixed double loaded pages in gecko based browsers when js is activated
- Replaced a set of PHP <? short tag occurences
- Updated locales (de/fr)

* Fri May 25 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.5.10-alt1
- New upstream 2.5.10
- Included hook to make use of dynamic uid-bases
- Included vacation date range specification
- Fixed non-saved Samba-Domain changes in groups
- Freezed application parameters are not editable anymore
- Fixed problem with removing commata based DN's
- Corrected setup generated perl mkntpasswd string
- Fixed month listing in fax reports - february was march
- Enabled 9 digits for gid-/uidNumbers
- Fixed acl's for saving printers
- Fixed saving of disabled samba acl's
- Added support for rfc2307bis compliant groups

* Thu May 24 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.5.9-alt1
- spec file change to vvk@

* Fri Apr 20 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.5.9-alt0.2
- changed httpd to webserver

* Tue Mar 27 2007 Michail Yakushin <silicium@altlinux.ru> 2.5.9-alt0.1
- intial build for ALT

* Wed Jun 21 2006 Lars Scheiter <lars.scheiter@GONICUS.de> 2.5.1
- New upstream version

* Tue May 30 2006 Lars Scheiter <lars.scheiter@GONICUS.de> 2.5
- Updated RedHat dependencies
- New upstream version
- Spelling errors fixed ;)
- Seperation of online manual

* Mon Dec 19 2005 Lars Scheiter <lars.scheiter@GONICUS.de> 2.4-2
- Updated SuSE dependencies to php5

* Mon Nov 21 2005 Lars Scheiter <lars.scheiter@GONICUS.de> 2.4
- New upstream version
- Removed %%doc for postgresql and openexchange

* Wed Jun 01 2005 Lars Scheiter <lars.scheiter@GONICUS.de> 2.4beta1
- New upstream version
- Added gosa.conf to contrib dir
- Rearranged documentation stuff
- Updated dependencies
- compress some files

* Mon Feb 21 2005 Lars Scheiter <lars.scheiter@GONICUS.de> 2.3
- Update version to 2.3 (upstream)

* Mon Dec 13 2004 Lars Scheiter <lars.scheiter@GONICUS.de> 2.2-2
- Optionally allow different sourcenames

* Mon Nov 22 2004 Lars Scheiter <lars.scheiter@GONICUS.de> 2.2
- Update to 2.2 (upstream)
- reintroduction of suse detection
- small fixes
- Corrected URL
- Synchronize schema package name with debian

* Mon May 19 2004 Levente Farkas <lfarkas@lfarkas.org> 2.1.1
- update to 2.1.1

* Mon Apr 19 2004 Levente Farkas <lfarkas@lfarkas.org> 2.1
- update to 2.1

* Fri Apr 16 2004 Levente Farkas <lfarkas@lfarkas.org> 2.1
- minor fixes
- update to 2.1rc2

* Tue Jan 24 2004 Henning P. Schmiedehausen <hps@intermeta.de> 2.1-2t
- bumped to 2.1beta2
- first INTERMETA internal build

* Mon Oct 20 2003 Lars Scheiter <lars.scheiter@GONICUS.de>
- Update to new upstream release (2.0rc1)

* Fri Oct 17 2003 Lars Scheiter <lars.scheiter@GONICUS.de>
- First build of GOsa as an RPM, should work on SuSE and RedHat
